# 3.1. GpyFFT

class gpyfft.GpyFFT

  The GpyFFT object is the primary interface to the clFFT library

  Methods

  `create_plan` | creates an FFT Plan object based on the requested dimensionality
  `get_version` | returns the version of the underlying clFFT library

  create_plan()

    creates an FFT Plan object based on the requested dimensionality

    Parameters
      context pypencl.Context
      shape tuple of int

        containing from one to three integers, specifying the length of each requested dimension of the FFT

    Returns
      plan Plan

        The generated gpyfft.Plan.

    Raises
      ValueError

        when shape isn’t a tuple of length 1, 2 or 3

      TypeError

        when the context argument is not a pyopencl.Context

  get_version()

    returns the version of the underlying clFFT library

    Parameters
      None
    Returns
      out tuple

        the major, minor, and patch level of the clFFT library

    Raises
      GpyFFT_Error

        An error occurred accessing the clfftGetVersion function

    Notes

    The underlying clFFT call is ‘clfftCreateDefaultPlan’